diff --git a/web/pgadmin/browser/static/js/collection.js b/web/pgadmin/browser/static/js/collection.js
index 35b7abaf2..a9c9bbefc 100644
--- a/web/pgadmin/browser/static/js/collection.js
+++ b/web/pgadmin/browser/static/js/collection.js
@@ -247,7 +247,7 @@ define([
           type: 'delete',
           tooltip: gettext('Delete/Drop'),
           extraClasses: ['btn-primary-icon m-1', 'delete_multiple'],
-          icon: 'fa fa-lg fa-trash-alt',
+          icon: 'fa fa-trash-alt',
           disabled:  (_.isFunction(that.canDrop)) ? !(that.canDrop.apply(self, [data, item])) : (!that.canDrop),
           register: function(btn) {
             btn.on('click',() => {
diff --git a/web/pgadmin/browser/static/js/node.js b/web/pgadmin/browser/static/js/node.js
index f26c596b4..3753f594f 100644
--- a/web/pgadmin/browser/static/js/node.js
+++ b/web/pgadmin/browser/static/js/node.js
@@ -1246,7 +1246,7 @@ define('pgadmin.browser.node', [
               type: 'help',
               tooltip: gettext('SQL help for this object type.'),
               extraClasses: ['btn-primary-icon', 'btn-primary-icon', 'm-1'],
-              icon: 'fa fa-lg fa-info',
+              icon: 'fa fa-info',
               disabled: (that.sqlAlterHelp == '' && that.sqlCreateHelp == '') ? true : false,
               register: function(btn) {
                 btn.on('click',() => {
@@ -1499,7 +1499,7 @@ define('pgadmin.browser.node', [
               type: 'help',
               tooltip: gettext('SQL help for this object type.'),
               extraClasses: ['btn-primary-icon', 'pull-left', 'mx-1'],
-              icon: 'fa fa-lg fa-info',
+              icon: 'fa fa-info',
               disabled: (that.sqlAlterHelp == '' && that.sqlCreateHelp == '') ? true : false,
               register: function(btn) {
                 btn.on('click',() => {
@@ -1511,7 +1511,7 @@ define('pgadmin.browser.node', [
               type: 'help',
               tooltip: gettext('Help for this dialog.'),
               extraClasses: ['btn-primary-icon', 'pull-left', 'mx-1'],
-              icon: 'fa fa-lg fa-question',
+              icon: 'fa fa-question',
               disabled: (that.dialogHelp == '') ? true : false,
               register: function(btn) {
                 btn.on('click',() => {
diff --git a/web/pgadmin/browser/static/js/toolbar.js b/web/pgadmin/browser/static/js/toolbar.js
index d0f66681a..1227720be 100644
--- a/web/pgadmin/browser/static/js/toolbar.js
+++ b/web/pgadmin/browser/static/js/toolbar.js
@@ -30,7 +30,7 @@ let _defaultToolBarButtons = [
   {
     label: gettext('View Data'),
     ariaLabel: gettext('View Data'),
-    btnClass: 'fa fa-table',
+    btnClass: 'pg-font-icon sql-icon-lg icon-view-data',
     text: '',
     toggled: false,
     toggleClass: '',
diff --git a/web/pgadmin/misc/bgprocess/static/js/bgprocess.js b/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
index dc8c38cca..5d4917212 100644
--- a/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
+++ b/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
@@ -36,7 +36,7 @@ define('misc.bgprocess', [
       success_status_tpl: _.template(`
       <div class="d-flex px-2 py-1 bg-success-light border border-success rounded">
         <div class="pr-2">
-          <i class="fa fa-check fa-lg text-success pg-bg-status-icon" aria-hidden="true" role="img"></i>
+          <i class="fa fa-check text-success pg-bg-status-icon" aria-hidden="true" role="img"></i>
         </div>
         <div class="mx-auto pg-bg-status-text alert-text-body"><%-status_text%></div>
       </div>`),
@@ -309,7 +309,7 @@ define('misc.bgprocess', [
                 <div class="py-1">${self.stime.toString()}</div>
                 <div class="d-flex py-1">
                   <div class="my-auto mr-2">
-                    <span class="fa fa-clock-o fa-2x" role="img"></span>
+                    <span class="fa fa-clock fa-lg" role="img"></span>
                   </div>
                   <div class="pg-bg-etime my-auto mr-2"></div>
                   <div class="ml-auto">
@@ -616,7 +616,7 @@ define('misc.bgprocess', [
               '<div class="bg-detailed-desc"></div>' +
               '<div class="bg-process-stats d-flex py-1">' +
                 '<div class="my-auto mr-2">' +
-                  '<span class="fa fa-clock-o fa-2x" role="img"></span>' +
+                  '<span class="fa fa-clock fa-lg" role="img"></span>' +
                 '</div>' +
                 '<div class="pg-bg-etime my-auto mr-2">'+
                   '<span>' + gettext('Start time') + ': <span class="bgprocess-start-time"></span>' +
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index e95d20254..76323be1f 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -2806,6 +2806,9 @@ define([
         options: {
           format: 'YYYY-MM-DD HH:mm:ss Z',
           icons: {
+            time: 'fa fa-clock',
+            data: 'fa fa-calendar-alt',
+            today: 'fa fa-calendar-check',
             clear: 'fa fa-trash',
           },
           buttons: {
diff --git a/web/pgadmin/static/js/backgrid.pgadmin.js b/web/pgadmin/static/js/backgrid.pgadmin.js
index e7c8bec59..8c72f9296 100644
--- a/web/pgadmin/static/js/backgrid.pgadmin.js
+++ b/web/pgadmin/static/js/backgrid.pgadmin.js
@@ -1780,6 +1780,9 @@ define([
         options = _.extend({
           format: 'YYYY-MM-DD HH:mm:ss Z',
           icons: {
+            time: 'fa fa-clock',
+            data: 'fa fa-calendar-alt',
+            today: 'fa fa-calendar-check',
             clear: 'fa fa-trash',
           },
           buttons: {
diff --git a/web/pgadmin/static/scss/_alertify.overrides.scss b/web/pgadmin/static/scss/_alertify.overrides.scss
index 3cfa02c4b..ca4966206 100644
--- a/web/pgadmin/static/scss/_alertify.overrides.scss
+++ b/web/pgadmin/static/scss/_alertify.overrides.scss
@@ -200,7 +200,6 @@
 
 .pg-alertify-icon-button {
   &:before {
-    font-size: 1.1em !important;
     line-height: 1.2;
     font-family: $font-family-icon;
     font-weight: 900;
diff --git a/web/pgadmin/static/scss/_webcabin.pgadmin.scss b/web/pgadmin/static/scss/_webcabin.pgadmin.scss
index 4c4d5d90d..86fdc811f 100644
--- a/web/pgadmin/static/scss/_webcabin.pgadmin.scss
+++ b/web/pgadmin/static/scss/_webcabin.pgadmin.scss
@@ -34,6 +34,10 @@
   display: flex;
   border-radius: $btn-border-radius;
   margin: auto;
+
+  & .pg-font-icon {
+    line-height: unset;
+  }
 }
 
 /* darken % taken from bootstrap - button_variant */
@@ -167,7 +171,7 @@
   padding: 0rem 0.75rem;
 
   &.fa, &.pg-font-icon{
-    padding: 0rem 0.25rem 0rem 0rem
+    padding: 0rem 0.25rem 0rem 0rem;
   }
 }
 
diff --git a/web/pgadmin/tools/datagrid/static/js/datagrid_panel_title.js b/web/pgadmin/tools/datagrid/static/js/datagrid_panel_title.js
index 90650f6f6..e74cbc5eb 100644
--- a/web/pgadmin/tools/datagrid/static/js/datagrid_panel_title.js
+++ b/web/pgadmin/tools/datagrid/static/js/datagrid_panel_title.js
@@ -45,7 +45,7 @@ export function setQueryToolDockerTitle(panel, is_query_tool, panel_title, is_fi
   else if (is_query_tool == 'false' || is_query_tool == false) {
     // Edit grid titles
     panel_tooltip = gettext('View/Edit Data - ') + panel_title;
-    panel_icon = 'fa fa-table';
+    panel_icon = 'pg-font-icon icon-view-data';
   } else {
     // Query tool titles
     panel_tooltip = gettext('Query Tool - ') + panel_title;
